# Class CIM_ModulePort
extends CIM_Component

ModulePort associates ports with their hosting modules.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_ModulePort

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | ModulePort associates ports with their hosting modules.
UMLPackagePath | string | CIM::Device::Ports
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ModulePort | CIM_LogicalModule
PartComponent | CIM_ModulePort | CIM_NetworkPort

## Class Methods